
bool isDebug = false;

class ApiEndPoint {
  static String get creditCardSettings {
    if (isDebug) {
      return test_CreditCardSettings;
    } else {
      return live_CreditCardSettings;
    }
  }

  static String get checkCountry {
    if (isDebug) {
      return test_CheckCountry;
    } else {
      return live_CheckCountry;
    }
  }

  static String get userMeta {
    if (isDebug) {
      return test_usermeta;
    } else {
      return LIVE_usermeta;
    }
  }
  static String get transectionURL {
    if (isDebug) {
      return test_TransectionURL;
    } else {
      return LIVE_TransectionURL;
    }
  }

  static String get generateTransaction {
    if (isDebug) {
      return test_generateTransaction;
    } else {
      return LIVE_generateTransaction;
    }
  }

  static String get amex_creditCardURL {
    if (isDebug) {
      return test_amex_creditCardURL;
    } else {
      return LIVE_amex_creditCardURL;
    }
  }

  static String get migs_pay_creditCardURL {
    if (isDebug) {
      return test_migs_pay_creditCardURL;
    } else {
      return LIVE_migs_pay_creditCardURL;
    }
  }

  static String get mpgs_pay_creditCardURL {
    if (isDebug) {
      return test_mpgs_pay_creditCardURL;
    } else {
      return LIVE_mpgs_pay_creditCardURL;
    }
  }

  static String get patchTransactionURL {
    if (isDebug) {
      return test_PatchTransactionURL;
    } else {
      return LIVE_PatchTransactionURL;
    }
  }

  static String get debitCardURL {
    if (isDebug) {
      return test_debitCardURL;
    } else {
      return LIVE_debitCardURL;
    }
  }


  static String get minAmount {
    if (isDebug) {
      return test_minAmount;
    } else {
      return LIVE_minAmount;
    }
  }

  static String get SDKLoginURL {
    if (isDebug) {
      return test_sadadPayLogin;
    } else {
      return LIVE_SDKLoginURL;
    }
  }

  static String get applepay_URL {
    if (isDebug) {
      return test_applepay_URL;
    } else {
      return LIVE_applepay_URL;
    }
  }

  static const live_CreditCardSettings =
      "https://mapi.sadadqa.com/sdk-api/settings?filter[where][or][0][key]=ENABLE_CREDIT_CARD&filter[where][or][1][key]=ENABLE_DEBIT_CARD&filter[where][or][2][key]=credit_card_bankpage_type&filter[where][or][3][key]=is_apple_pay_payment&filter[where][or][4][key]=is_google_pay_payment&filter[where][or][5][key]=is_american_express&filter[where][or][6][key]=is_cybersourse_visa&filter[where][or][7][key]=is_cybersourse_mastercard";
  static const live_CheckCountry = "https://mapi.sadadqa.com/sdk-api/usermetapreferences/checkAllowedCountry";
  static const LIVE_usermeta = "https://mapi.sadadqa.com/sdk-api/usermetapreferences";
  static const LIVE_TransectionURL = "https://mapi.sadadqa.com/sdk-api/transactions/genchecksum";
  static const LIVE_generateTransaction = "https://mapi.sadadqa.com/sdk-api/transactions";
  static const LIVE_amex_creditCardURL = "https://sadadqa.com/amexpayment";
  static const LIVE_migs_pay_creditCardURL = "https://sadadqa.com/ccapi/pay.php";
  static const LIVE_mpgs_pay_creditCardURL = "https://sadadqa.com/Sadadprocessing/pay.php";
  static const LIVE_PatchTransactionURL = "https://mapi.sadadqa.com/sdk-api/transactions/sdkpay";
  static const LIVE_debitCardURL = "https://sadadqa.com/napsapi/pay.php";
  static const LIVE_minAmount = "https://mapi.sadadqa.com/sdk-api/settings?filter[where][key]=sdk_min_amount";
  static const LIVE_SDKLoginURL = "https://staging.sadadqa.com/login";
  static const LIVE_applepay_URL = "https://sadadqa.com/sdk/processapplepay";

  //============================================================
  //Dev//sadad.de/sadadinvoice//Live//sadadqa.com
  //Dev//176.58.99.102:3003//Live//mapi.sadadqa.com
  //=========== Dev Server URL =================================
  static const test_CreditCardSettings =
      "http://176.58.99.102:3003/sdk-api/settings?filter[where][or][0][key]=ENABLE_CREDIT_CARD&filter[where][or][1][key]=ENABLE_DEBIT_CARD&filter[where][or][2][key]=credit_card_bankpage_type&filter[where][or][3][key]=is_apple_pay_payment&filter[where][or][4][key]=is_google_pay_payment&filter[where][or][5][key]=is_american_express&filter[where][or][6][key]=is_cybersourse_visa&filter[where][or][7][key]=is_cybersourse_mastercard";
  static const test_CheckCountry = "http://176.58.99.102:3003/sdk-api/usermetapreferences/checkAllowedCountry";
  static const test_usermeta = "http://176.58.99.102:3003/sdk-api/usermetapreferences";
  static const test_TransectionURL = "http://176.58.99.102:3003/sdk-api/transactions/genchecksum";
  static const test_generateTransaction = "http://176.58.99.102:3003/sdk-api/transactions";
  static const test_amex_creditCardURL = "https://sadad.de/sadadinvoice/amexpayment";
  static const test_migs_pay_creditCardURL = "https://sadad.de/sadadinvoice/ccapi/pay.php";
  static const test_mpgs_pay_creditCardURL = "https://sadad.de/sadadinvoice/crditcardSDK";
  static const test_PatchTransactionURL = "http://176.58.99.102:3003/sdk-api/transactions/sdkpay";

  //static const test_PatchTransactionURL = "https://msandboxapi.sadadqa.com/sdk-api/transactions/sdkpay";
  static const test_debitCardURL = "https://sadad.de/sadadinvoice/napsapi/pay.php";
  static const test_minAmount = "http://176.58.99.102:3003/sdk-api/settings?filter[where][key]=sdk_min_amount";

  //static const test_SDKLoginURL = "https://sadadsdk.sadadqa.com/login";
  static const test_applepay_URL = "https://sadad.de/sadadinvoice/sdk/processapplepay";
  static const test_sadadPayLogin = "http://176.58.99.102:3003/sdk-api/users/login";
  static const test_verifyOtp = "http://176.58.99.102:3003/sdk-api/usermetaauths/verify";
  static const test_resendOtp = "http://176.58.99.102:3003/sdk-api/usermetaauths/resendOtp?type=login";
  static const test_transaction = "http://sadad.de:3003/sdk-api/transactions";
}
